#!/bin/sh
#$Id: createlog.sh,v 1.3 2002/09/23 05:48:00 jpk Exp $
#
# GraphDefang -- a set of tools to create graphs of your mimedefang
#                spam and virus logs.
#
# Written by:    John Kirkland
#                jpk@bl.org
#
# Copyright (c) 2002, John Kirkland
#=============================================================================

PATH_TO_QUARANTINE_DIRS=/u01/mail/MIMEDefang
SPAM_LOG=spamlog.txt
VIRUS_LOG=viruslog.txt

# Initialize log files
rm $SPAM_LOG
rm $VIRUS_LOG

for i in `ls $PATH_TO_QUARANTINE_DIRS | grep qdir`
do

	if [ -f $PATH_TO_QUARANTINE_DIRS/$i/SPAM_REPORT ]; then
		
		FILESTRING=`ls -l $PATH_TO_QUARANTINE_DIRS/$i/HEADERS`
		MONTH=`echo $FILESTRING | awk '{print $6}'`
		DAY=`echo $FILESTRING | awk '{print $7}'`
		TIME=`echo $FILESTRING | awk '{print $8}'`
		
		DATE=`echo $MONTH $DAY $TIME:00`
		
		MSGID="a1234567890123";

		HITS=`grep hits $PATH_TO_QUARANTINE_DIRS/$i/SPAM_REPORT | head -1 | cut -f2 -d"(" | cut -f1 -d" "`

		SENDER=`cat $PATH_TO_QUARANTINE_DIRS/$i/SENDER`

		SUBJECT=`grep Subject $PATH_TO_QUARANTINE_DIRS/$i/HEADERS | head -1 | cut -f2 -d: | cut -f2- -d" "`		

		for j in `cat $PATH_TO_QUARANTINE_DIRS/$i/RECIPIENTS`
		do
			echo $DATE westover mimedefang.pl[12345]: $MSGID,$HITS,$SENDER,$j,$SUBJECT >> $SPAM_LOG
		done	

        elif [ -f $PATH_TO_QUARANTINE_DIRS/$i/MSG.? ]; then

                FILESTRING=`ls -l $PATH_TO_QUARANTINE_DIRS/$i/HEADERS`
                MONTH=`echo $PATH_TO_QUARANTINE_DIRS/$FILESTRING | awk '{print $6}'`
                DAY=`echo $PATH_TO_QUARANTINE_DIRS/$FILESTRING | awk '{print $7}'`
                TIME=`echo $PATH_TO_QUARANTINE_DIRS/$FILESTRING | awk '{print $8}'`

                DATE=`echo $MONTH $DAY $TIME:00`

                MSGID="a1234567890123";

                VIRUSNAME=`cat $PATH_TO_QUARANTINE_DIRS/$i/MSG.? | grep Found | head -1 | awk '{print $3}'`
                SENDER=`cat $PATH_TO_QUARANTINE_DIRS/$i/SENDER`

                SUBJECT=`grep Subject $PATH_TO_QUARANTINE_DIRS/$i/HEADERS | head -1 | cut -f2 -d: | cut -f2- -d" "`  

                for j in `cat $PATH_TO_QUARANTINE_DIRS/$i/RECIPIENTS`
                do
                        echo $DATE westover mimedefang.pl[12345]: $MSGID,$VIRUSNAME,$SENDER,$j,$SUBJECT >> $VIRUS_LOG
                done
        fi

done	
